import os
import math
import numpy

class crystal:
    crystal_system=None
    spacegroup=None    
    spacegroup_num=None
    cell_a=0.0
    cell_b=0.0
    cell_c=0.0
    cell_alpha=0.0
    cell_beta=0.0
    cell_gamma=0.0
    convcell=None
    primcell=None
    atom=[]  # ele,x,y,z

    def __init__(self):
        self.matid=""
        self.primitive_cell = numpy.zeros((3,3))
        self.conventional_cell = numpy.zeros((3,3))

    # temporary
    def read(self,cif,matid):
        self.matid = matid

        f = open(cif)
        for l in f:
            if l.find("_chemical_formula_sum")>=0:
                c = l.split()
                self.chemical_formula=c[1]
            if l.find("_space_group_crystal_system")>=0:
                c = l.split()
                self.crystal_system=c[1]
            if l.find("_symmetry_space_group_name_H-M")>=0:
                c = l.split()
                self.spacegroup=c[1]
            if l.find("_symmetry_Int_Tables_number")>=0:
                c = l.split()
                self.spacegroup_no=c[1]

            if l.find("_cell_length_a")>=0:
                c = l.split()
                self.cell_a=float(c[1])
            if l.find("_cell_length_b")>=0:
                c = l.split()
                self.cell_b=float(c[1])
            if l.find("_cell_length_c")>=0:
                c = l.split()
                self.cell_c=float(c[1])
            if l.find("_cell_angle_alpha")>=0:
                c = l.split()
                self.cell_alpha=float(c[1])
            if l.find("_cell_angle_beta")>=0:
                c = l.split()
                self.cell_beta=float(c[1])
            if l.find("_cell_angle_gamma")>=0:
                c = l.split()
                self.cell_gamma=float(c[1])
            if l.find("_space_group_crystal_system")>=0:
                c = l.split()
                self.crystal_system=c[1]
            if l.find("_symmetry_space_group_name_H-M")>=0:
                c = l.split()
                self.spacegroup=c[1]
            if l.find("_symmetry_Int_Tables_number")>=0:
                c = l.split()
                self.spacegroup_num=int(c[1])
